local function onBuild(event)
    local surface = game.get_surface("nauvis")
    local unitGroup = surface.create_unit_group({position={x=10,y=10}})

    unitGroup.add_member(surface.create_entity({name="small-biter", position={10,10}}))

    local cmd = {
        type = defines.command.build_base,
        destination = {x=0,y=0},
        distraction = defines.distraction.by_enemy,
        ignore_planner = true
    }

    unitGroup.set_command(cmd)
end


local function onMine(event)
    local surface = game.get_surface("nauvis")
    local unitGroup = surface.create_unit_group({position={x=10,y=10}})

    --unitGroup.add_member(surface.create_entity({name="small-biter", position={10,10}}))

    local cmd = {
        type = defines.command.build_base,
        destination = {x=0,y=0},
        distraction = defines.distraction.by_enemy,
        ignore_planner = true
    }

    unitGroup.set_command(cmd)
end

-- hooks

script.on_event({defines.events.on_built_entity,
                 defines.events.on_robot_built_entity,
                 defines.events.script_raised_built,
                 defines.events.script_raised_revive}, onBuild)

script.on_event({defines.events.on_player_mined_entity,
                 defines.events.on_robot_mined_entity}, onMine)